# pqxx::internal::result_data Struct Reference

Information shared between all copies of a result set. More...

`#include <result.hxx>`

List of all members.

## Public Member Functions
| result_data ()
| result_data (pqxx::internal::pq::PGresult *, int protocol, const std::string &, int encoding_code)
| ~result_data ()
## Public Attributes
pqxx::internal::pq::PGresult * | data
| Underlying libpq-managed result set.
int | protocol
| Frontend/backend protocol version.
std::string | query
| Query string that yielded this result.
int | encoding_code

## Detailed Description

Information shared between all copies of a result set.

## Constructor & Destructor Documentation

pqxx::internal::result_data::result_data | ( |  | ) |

pqxx::internal::result_data::result_data | ( | pqxx::internal::pq::PGresult * | d,
|  | int | protocol,
|  | const std::string & | q,
|  | int | encoding_code |
| ) |  |  |

pqxx::internal::result_data::~result_data | ( |  | ) |

References data.

## Member Data Documentation

pqxx::internal::pq::PGresult* pqxx::internal::result_data::data

Underlying libpq-managed result set.

Warning:
  This member is duplicated in the result object as a performance shortcut.

Referenced by ~result_data().

int pqxx::internal::result_data::encoding_code

int pqxx::internal::result_data::protocol

Frontend/backend protocol version.

std ::string pqxx::internal::result_data::query

Query string that yielded this result.

Referenced by pqxx::result::query().

The documentation for this struct was generated from the following files:

- result.hxx
- result.cxx